rs_core.rsh File Reference

- Overview
- Globals
- Structs

Data Structures | Typedefs | Enumerations | Functions
rs_core.rsh File Reference
`#include "rs_types.rsh"`
`#include "rs_allocation.rsh"`
`#include "rs_atomic.rsh"`
`#include "rs_cl.rsh"`
`#include "rs_debug.rsh"`
`#include "rs_element.rsh"`
`#include "rs_math.rsh"`
`#include "rs_matrix.rsh"`
`#include "rs_object.rsh"`
`#include "rs_quaternion.rsh"`
`#include "rs_sampler.rsh"`
`#include "rs_time.rsh"`

## Data Structures
struct | rs_script_call
## Typedefs
typedef struct rs_script_call | rs_script_call_t
## Enumerations
enum | rs_for_each_strategy
## Functions
bool | rsSendToClient (int cmdID)
bool | rsSendToClient (int cmdID, const void *data, uint len)
void | rsSendToClientBlocking (int cmdID)
void | rsSendToClientBlocking (int cmdID, const void *data, uint len)
void | rsForEach (rs_script script, rs_allocation input, rs_allocation output, const void *usrData, const rs_script_call_t *sc)
void | rsForEach (rs_script script, rs_allocation input, rs_allocation output, const void *usrData)

## Detailed Description

Definition in file rs_core.rsh.

## Typedef Documentation

typedef struct rs_script_call rs_script_call_t

Structure to provide extra information to a rsForEach call. Primarly used to restrict the call to a subset of cells in the allocation.

## Enumeration Type Documentation

enum rs_for_each_strategy

Launch order hint for rsForEach calls. This provides a hint to the system to determine in which order the root function of the target is called with each cell of the allocation.

This is a hint and implementations may not obey the order.

Definition at line 92 of file rs_core.rsh.

## Function Documentation

void rsForEach | ( | rs_script | script,
|  | rs_allocation | input,
|  | rs_allocation | output,
|  | const void * | usrData,
|  | const rs_script_call_t * | sc
| ) |  |

Make a script to script call to launch work. One of the input or output is required to be a valid object. The input and output must be of the same dimensions. API 10-13

Parameters:

  script | The target script to call
  input | The allocation to source data from
  output | the allocation to write date into
  usrData | The user definied params to pass to the root script. May be NULL.
  sc | Extra control infomation used to select a sub-region of the allocation to be processed or suggest a walking strategy. May be NULL.

void rsForEach | ( | rs_script | script,
|  | rs_allocation | input,
|  | rs_allocation | output,
|  | const void * | usrData
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

bool rsSendToClient | ( | int | cmdID | ) |

Send a message back to the client. Will not block and returns true if the message was sendable and false if the fifo was full. A message ID is required. Data payload is optional.

bool rsSendToClient | ( | int | cmdID,
|  | const void * | data,
|  | uint | len
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

void rsSendToClientBlocking | ( | int | cmdID | ) |

Send a message back to the client, blocking until the message is queued. A message ID is required. Data payload is optional.

void rsSendToClientBlocking | ( | int | cmdID,
|  | const void * | data,
|  | uint | len
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.